#!/usr/bin/make -f

export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic

CONFIGURE_ARGS = -DCMAKE_BUILD_TYPE=Debug \
                 -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON \
                 -DCMAKE_CXX_FLAGS_DEBUG="-std=c++17"

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_ARGS)

override_dh_missing:
	dh_missing --list-missing
